<template>
  <div
    ref="target"
    class="rounded-lg transition-colors"
    :class="overed ? 'bg-fuchsia-300' : ''"
  />
</template>

<script setup lang="ts">
import { useDroppable } from '~entities/dragAndDrop';

const emit = defineEmits<{
  (e: 'drop', id: unknown): void;
}>();

const target = ref<HTMLElement | null>(null);
const { overed } = useDroppable<string>(target, {
  onDrop: <T,>(data: T) => {
    emit('drop', data);
  },
});
</script>
